> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/cosmos-hub/ibc-client-v1-params.md).

# /ibc/client/v1/params

ClientParams queries all parameters of the ibc client.

#### **Parameters:**

None

#### Example:

{% code overflow="wrap" %}

```json
// Request
curl -X GET -H 'Content-Type: application/json' https://cosmos.blockpi.network/lcd/v1/<your-api-key>/cosmos/base/tendermint/v1beta1/blocks/latest

// Result
{
    "account": {
        "@type": "/cosmos.auth.v1beta1.BaseAccount",
        "address": "cosmos1hkthq04278pj5cqt7tsle4shs2hhlee4s9vc2m",
        "pub_key": {
            "@type": "/cosmos.crypto.secp256k1.PubKey",
            "key": "AiXtsRQ92h0CHiDnm7zVzX5weBvBHZDd/vcsTgzQ2d/e"
        },
        "account_number": "18666",
        "sequence": "387"
    }
}
```

{% endcode %}
